# Fetching a list of Holiday Calendar Associations

This endpoint returns structured Holiday Calendar Association objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the holiday_calendar_associations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /holiday_calendar_associations
Version: 1.0.0

## Query parameters:

  - `by_holiday_calendar_id` (integer)
    Show only Holiday Calendar Associations that are associated with a specific Holiday Calendar.

  - `by_holiday_name` (string)
    Show only Holiday Calendar Associations associated with Holidays that have a name which matches the search parameter.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- holiday (Holiday) - The Holiday associated with this HolidayCalendarAssociation.
- holiday_calendar (HolidayCalendar) - The Holiday Calendar associated with this HolidayCalendarAssociation.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `page` (integer)

  - `per_page` (integer)

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `holiday_calendar_associations` (object)

  - `holidays` (object)

  - `holiday_calendars` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


